Bug 1897003 - VNC console cannot be connected after visit it in new window
Summary: VNC console cannot be connected after visit it in new window
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-12 03:23 UTC by Guohua Ouyang
Modified: 2021-02-24 15:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:32:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7505 0 None open Bug 1897003: VNC console main window can auto reconnect when full screen vnc console tab is closed 2020-12-21 01:32:23 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:13 UTC

Description Guohua Ouyang 2020-11-12 03:23:24 UTC
Description of problem:
Create a VM and start it, go to VM console tab, click 'open console in new window' and visit VNC console, close the new window and go back to the original window, vnc console always stayed with disconnected.

The workaround is navigating to other tab and navigating back to console tab.

Version-Release number of selected component (if applicable):
console master

How reproducible:
100%

Steps to Reproduce:
1. Create a VM and start it, go to VM console tab
2. Click 'open console in new window' and visit VNC console,
3. Close the new window
4. Try VNC console on original window

Actual results:
vnc console always stayed with disconnected on original window.

Expected results:
It could visit vnc console on original window again.

Additional info:
Check `Disconnect before switching` does not help.

Comment 6 errata-xmlrpc 2021-02-24 15:32:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.